[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.UTF8KeyPress

UTF8KeyPress converts character case if required then calls inherited method

## Declaration

Source position: stdctrls.pp line 348

`protected procedure TCustomComboBox.UTF8KeyPress(`
`var UTF8Key: TUTF8Char`
`); override;`

## Description

UTF8KeyPress converts character case if required then calls inherited method

The inherited method emulates the pressing of a key, with UTF8 coding. The UTF8 coding should be used where there is the possibility that input/output will occur in any language that requires multiple bytes to represent each character, ie almost all languages except the standard Western European languages.

## See also

TWinControl.UTF8KeyPress |  | UTF8KeyPress - simulates the action of pressing the specified (UTF8) key

The latest version of this document can be found at lazarus-ccr.sourceforge.net.